[Overview][Types][Classes][Variables][Index] | Reference for unit 'LCLClasses' (#lcl)

# TLCLComponent.WidgetSetClass

The class type used to create instances of this component.

## Declaration

Source position: lclclasses.pp line 62

`public property TLCLComponent.WidgetSetClass : TWSLCLComponentClass read FWidgetSetClass;`

## Description

WidgetSetClass is a read-only TWSLCLComponentClass property which contains the class type used to create new instances of the component. The value for the property is set in the NewInstance method.

## See also

TLCLComponent.NewInstance |  | Creates and registers a new instance of the class, and initializes the WidgetSetClass property.